﻿local L = AceLibrary("AceLocale-2.2"):new("GridStatusHots")

L:RegisterTranslations("enUS", function()
	return {
		["My HoTs"] = true,
		["Renew"] = true,
		["Rejuvenation"] = true,
		["Regrowth"] = true,
		["Lifebloom"] = true,
		["Wild Growth"] = true,
		["Sheath of Light"] = true,
		["Glyph of Flash of Light"] = true,
		["Riptide"] = true,
		["Buff: Hot Count"] = true,
		["Buff: My Renew"] = true,
		["Buff: My Rejuvenation"] = true,
		["Buff: My Regrowth"] = true,
		["Buff: My Lifebloom"] = true,
		["Buff: Lifebloom Stack Colored"] = true,
		["Buff: My Wild Growth"] = true,
		["Buff: My Sheath of Light"] = true,
		["Buff: My Glyph of Flash of Light"] = true,
		["Buff: My Riptide"] = true,
		["Threshold to activate color 2"] = true,
		["Threshold to activate color 3"] = true,
		["Color 2"] = true,
		["Color 3"] = true,
		["Refresh frequency"] = true,
		["Seconds between status refreshes"] = true,
	}
end)

L:RegisterTranslations("deDE", function()
	return {
		["My HoTs"] = "Meine HoTs",
		["Renew"] = "Erneuerung",
		["Rejuvenation"] = "Verjüngung",
		["Regrowth"] = "Nachwachsen",
		["Lifebloom"] = "Blühendes Leben",
		["Wild Growth"] = "Wildwuchs",
		["Sheath of Light"] = "Von Licht ummantelt",
		["Glyph of Flash of Light"] = "Glyphe 'Lichtblitz'",
		["Riptide"] = "Springflut",
		["Buff: Hot Count"] = "Buff: Anzahl HoTs",
		["Buff: My Renew"] = "Buff: Meine Erneuerung",
		["Buff: My Rejuvenation"] = "Buff: Meine Verjüngung",
		["Buff: My Regrowth"] = "Buff: Mein Nachwachsen",
		["Buff: My Lifebloom"] = "Buff: Mein Blühendes Leben",
		["Buff: My Wild Growth"] = "Buff: Mein Wildwuchs",
		["Buff: My Sheath of Light"] = "Buff: Mein Von Licht ummantelt",
		["Buff: My Glyph of Flash of Light"] = "Buff: Meine Glyphe 'Lichtblitz'",
		["Buff: My Riptide"] = "Buff: Meine Springflut",
		["Threshold to activate color 2"] = "Schwelle zum Aktivieren von Farbe 2",
		["Threshold to activate color 3"] = "Schwelle zum Aktivieren von Farbe 3",
		["Color 2"] = "Farbe 2",
		["Color 3"] = "Farbe 3",
}
end)

L:RegisterTranslations("koKR", function()
	return {
		["My HoTs"] = "자신의 지속 치유",
		["Renew"] = "소생",
		["Rejuvenation"] = "회복",
		["Regrowth"] = "재생",
		["Lifebloom"] = "피어나는 생명",
		["Wild Growth"] = "급속 성장",
		["Sheath of Light"] = "수호의 빛",
		["Glyph of Flash of Light"] = "빛의 섬광의 문양",
		["Riptide"] = "성난 해일",
		["Buff: Hot Count"] = "버프: 지속 치유 갯수",
		["Buff: My Renew"] = "버프 : 자신의 소생",
		["Buff: My Rejuvenation"] = "버프 : 자신의 회복",
		["Buff: My Regrowth"] = "버프 : 자신의 재생",
		["Buff: My Lifebloom"] = "버프: 자신의 피어나는 생명",
		["Buff: My Wild Growth"] = "버프: 나의 급속 성장",
		["Buff: My Sheath of Light"] = "버프: 나의 수호의 빛",
		["Buff: My Glyph of Flash of Light"] = "버프: 나의 빛의 섬광의 문양",
		["Buff: My Riptide"] = "버프: 나의 성난 해일",
		["Threshold to activate color 2"] = "색상 2을 사용할 수치",
		["Threshold to activate color 3"] = "색상 3을 사용할 수치",
		["Color 2"] = "색상 2",
		["Color 3"] = "색상 3",
	}
end)

L:RegisterTranslations("esES", function()
	return {
		["My HoTs"] = "My HoTs", --need translation
		["Renew"] = "Renovar",
		["Rejuvenation"] = "Rejuvenecimiento",
		["Regrowth"] = "Recrecimiento",
		["Lifebloom"] = "Flor de vida",
		["Wild Growth"] = "Wild Growth", --need translation
		["Sheath of Light"] = "Sheath of Light", --need translation
		["Glyph of Flash of Light"] = "Glyph of Flash of Light", --need translation
		["Riptide"] = "Riptide", --need translation
		["Buff: HoT Count"] = "Buff: HoT Count", --need translation
		["Buff: My Renew"] = "Buff: My Renovar", --need check
		["Buff: My Rejuvenation"] = "Buff: My Rejuvenecimiento", --need check
		["Buff: My Regrowth"] = "Buff: My Recrecimiento", --need check
		["Buff: My Lifebloom"] = "Buff: My Flor de vida", --need check
		["Buff: My Wild Growth"] = "Buff: My Wild Growth", --need translation
		["Buff: My Sheath of Light"] = "Buff: My Sheath of Light", --need translation
		["Buff: My Glyph of Flash of Light"] = "Buff: My Glyph of Flash of Light", --need translation
		["Buff: My Riptide"] = "Buff: My Riptide", --need translation
		["Threshold to activate color 2"] = "Threshold to activate color 2", --need translation
		["Threshold to activate color 3"] = "Threshold to activate color 3", --need translation
		["Color 2"] = "Color 2", --need translation
		["Color 3"] = "Color 3", --need translation
	}
end)

L:RegisterTranslations("frFR", function()
	return {
		["My HoTs"] = "My HoTs", --need translation
		["Renew"] = "Rénovation",
		["Rejuvenation"] = "Récupération",
		["Regrowth"] = "Rétablissement",
		["Lifebloom"] = "Fleur de vie",
		["Wild Growth"] = "Wild Growth", --need translation
		["Sheath of Light"] = "Sheath of Light", --need translation
		["Glyph of Flash of Light"] = "Glyph of Flash of Light", --need translation
		["Riptide"] = "Riptide", --need translation
		["Buff: Hot Count"] = "Buff: HoT Count", --need translation
		["Buff: My Renew"] = "Buff: My Rénovation", --need check
		["Buff: My Rejuvenation"] = "Buff: My Récupération", --need check
		["Buff: My Regrowth"] = "Buff: My Rétablissement", --need check
		["Buff: My Lifebloom"] = "Buff: My Fleur de vie", --need check
		["Buff: My Wild Growth"] = "Buff: My Wild Growth", --need translation
		["Buff: My Sheath of Light"] = "Buff: My Sheath of Light", --need translation
		["Buff: My Glyph of Flash of Light"] = "Buff: My Glyph of Flash of Light", --need translation
		["Buff: My Riptide"] = "Buff: My Riptide", --need translation
		["Threshold to activate color 2"] = "Threshold to activate color 2", --need translation
		["Threshold to activate color 3"] = "Threshold to activate color 3", --need translation
		["Color 2"] = "Color 2", --need translation
		["Color 3"] = "Color 3", --need translation
	}
end)

L:RegisterTranslations("zhCN", function()
	return {
		["My HoTs"] = "我的 HoTs",
		["Renew"] = "恢复",
		["Rejuvenation"] = "回春术",
		["Regrowth"] = "愈合",
		["Lifebloom"] = "生命绽放",
		["Wild Growth"] = "Wild Growth", --need translation
		["Sheath of Light"] = "Sheath of Light", --need translation
		["Glyph of Flash of Light"] = "Glyph of Flash of Light", --need translation
		["Riptide"] = "Riptide", --need translation
		["Buff: Hot Count"] = "增益：Hot 统计",
		["Buff: My Renew"] = "增益：我的恢复",
		["Buff: My Rejuvenation"] = "增益：我的回春",
		["Buff: My Regrowth"] = "增益：我的愈合",
		["Buff: My Lifebloom"] = "增益：我的生命绽放",
		["Buff: My Wild Growth"] = "Buff: My Wild Growth", --need translation
		["Buff: My Sheath of Light"] = "Buff: My Sheath of Light", --need translation
		["Buff: My Glyph of Flash of Light"] = "Buff: My Glyph of Flash of Light", --need translation
		["Buff: My Riptide"] = "Buff: My Riptide", --need translation
		["Threshold to activate color 2"] = "启动颜色2临界值",
		["Threshold to activate color 3"] = "启动颜色3临界值",
		["Color 2"] = "颜色2",
		["Color 3"] = "颜色3",
	}
end)

L:RegisterTranslations("zhTW", function()
	return {
		["My HoTs"] = "我的 HoTs",
		["Renew"] = "恢復",
		["Rejuvenation"] = "回春術",
		["Regrowth"] = "癒合",
		["Lifebloom"] = "生命之花",
		["Wild Growth"] = "Wild Growth", --need translation
		["Sheath of Light"] = "Sheath of Light", --need translation
		["Glyph of Flash of Light"] = "Glyph of Flash of Light", --need translation
		["Riptide"] = "Riptide", --need translation
		["Buff: Hot Count"] = "增益：HoT 數量",
		["Buff: My Renew"] = "增益：我的恢復",
		["Buff: My Rejuvenation"] = "增益：我的回春術",
		["Buff: My Regrowth"] = "增益：我的癒合",
		["Buff: My Lifebloom"] = "增益：我的生命之花",
		["Buff: My Wild Growth"] = "Buff: My Wild Growth", --need translation
		["Buff: My Sheath of Light"] = "Buff: My Sheath of Light", --need translation
		["Buff: My Glyph of Flash of Light"] = "Buff: My Glyph of Flash of Light", --need translation
		["Buff: My Riptide"] = "Buff: My Riptide", --need translation
		["Threshold to activate color 2"] = "啟動顏色2階段值",
		["Threshold to activate color 3"] = "啟動顏色3階段值",
		["Color 2"] = "顏色2",
		["Color 3"] = "顏色3",
	}
end)

L:RegisterTranslations("ruRU", function()
	return {
		["My HoTs"] = "Мои HoTs",
		["Renew"] = "Обновление",
		["Rejuvenation"] = "Омоложение",
		["Regrowth"] = "Восстановление",
		["Lifebloom"] = "Жизнецвет",
		["Wild Growth"] = "Wild Growth", --need translation
		["Sheath of Light"] = "Sheath of Light", --need translation
		["Glyph of Flash of Light"] = "Glyph of Flash of Light", --need translation
		["Riptide"] = "Riptide", --need translation
		["Buff: Hot Count"] = "Бафф: Счётчик HoT",
		["Buff: My Renew"] = "Бафф: Моё Обновление",
		["Buff: My Rejuvenation"] = "Бафф: Моё Омоложение",
		["Buff: My Regrowth"] = "Бафф: Моё Восстановление",
		["Buff: My Lifebloom"] = "Бафф: Мой Жизнецвет",
		["Buff: My Wild Growth"] = "Buff: My Wild Growth", --need translation
		["Buff: My Sheath of Light"] = "Buff: My Sheath of Light", --need translation
		["Buff: My Glyph of Flash of Light"] = "Buff: My Glyph of Flash of Light", --need translation
		["Buff: My Riptide"] = "Buff: My Riptide", --need translation
		["Threshold to activate color 2"] = "Порог для цвета №2",
		["Threshold to activate color 3"] = "Пород для цвета №3",
		["Color 2"] = "Цвет №2",
		["Color 3"] = "Цвет №3",
	}
end)
